summaryrefslogtreecommitdiff
path: root/tests/fmt/basic
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fmt/basic')
-rwxr-xr-xtests/fmt/basic87
1 files changed, 0 insertions, 87 deletions
diff --git a/tests/fmt/basic b/tests/fmt/basic
deleted file mode 100755
index 66abe13..0000000
--- a/tests/fmt/basic
+++ /dev/null
@@ -1,87 +0,0 @@
-#!/bin/sh
-# -*- perl -*-
-# Basic tests for "fmt".
-
-# Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006, 2007 Free Software
-# Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
-
-: ${PERL=perl}
-: ${srcdir=.}
-
-$PERL -e 1 > /dev/null 2>&1 || {
- echo 1>&2 "$0: configure didn't find a usable version of Perl," \
- "so can't run this test"
- exit 77
-}
-
-# Export this to avoid hassles when run in a UTF-8 locale,
-# since we use 8-bit characters below, and those values are
-# interpolated into strings (to perform substitution) in Coreutils.pm.
-LC_ALL=C
-export LC_ALL
-
-exec $PERL -w -I$srcdir/.. -MCoreutils -- - <<\EOF
-require 5.003;
-use strict;
-
-(my $program_name = $0) =~ s|.*/||;
-
-my @Tests =
- (
- ['8-bit-pfx', qw (-p 'ç'),
- {IN=> "ça\nçb\n"},
- {OUT=>"ça b\n"}],
- ['wide-1', '-w 32768',
- {ERR => "fmt: invalid width: `32768'\n"}, {EXIT => 1}],
- ['wide-2', '-w 2147483647',
- {ERR => "fmt: invalid width: `2147483647'\n"}, {EXIT => 1}],
- ['bad-suffix', '-72x', {IN=> ''},
- {ERR => "fmt: invalid width: `72x'\n"}, {EXIT => 1}],
- ['no-file', 'no-such-file',
- {ERR => "fmt: cannot open `no-such-file' for reading:"
- . " No such file or directory\n"}, {EXIT => 1}],
- ['obs-1', '-c -72',
- {ERR => "fmt: invalid option -- 7; -WIDTH is recognized only when it"
- . " is the first\noption; use -w N instead\n"
- . "Try `fmt --help' for more information.\n" }, {EXIT => 1}],
-
- # With --prefix=P, do not remove leading space on lines without the prefix.
- ['pfx-1', qw (-p '>'),
- {IN=> " 1\n 2\n\t3\n\t\t4\n> quoted\n> text\n"},
- {OUT=> " 1\n 2\n\t3\n\t\t4\n> quoted text\n"}],
-
- # Don't remove prefix from a prefix-only line.
- ['pfx-only', qw (-p '>'),
- {IN=> ">\n"},
- {OUT=> ">\n"}],
-
- # With a multi-byte prefix, say, "foo", don't empty a line that
- # starts with a strict prefix (e.g. "fo") of that prefix.
- # With fmt from coreutils-6.7, it would mistakenly output an empty line.
- ['pfx-of-pfx', qw (-p 'foo'),
- {IN=> "fo\n"},
- {OUT=> "fo\n"}],
-);
-
-my $save_temps = $ENV{DEBUG};
-my $verbose = $ENV{VERBOSE};
-
-my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
-my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
-exit $fail;
-EOF